﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace TaskPlanner_PrototypeScreens
{
	/// <summary>
	/// Interaction logic for DailyWorkload.xaml
	/// </summary>
	public partial class DailyWorkload : UserControl
	{
        private string _hoursColumnHeader;

		public DailyWorkload()
		{
			this.InitializeComponent();
		}

        public string HoursColumnHeader
        {
            get
            {
                string result = null;
                if (ContentGrid.Columns.Count >= 2)
                {
                    result = ContentGrid.Columns[1].Header.ToString();
                }
                return result;
            }
            set
            {
                if (ContentGrid.Columns.Count >= 2)
                {
                    ContentGrid.Columns[1].Header = value;
                }
                else
                {
                    throw new InvalidOperationException("There is less than two columns in the grid.");
                }
            }
        }
	}
}