﻿namespace TaskPlanner.BusinessLogic.Interfaces
{
	using System.Collections.ObjectModel;

	/// <summary>
	/// Represents an interface for category managers.
	/// </summary>
	public interface ICategoryManager
	{
		#region Methods
		/// <summary>
		/// Gets all categories.
		/// </summary>
		/// <returns>All categories in database.</returns>
		Collection<string> GetAllCategories();
		#endregion
	}
}
