﻿namespace TaskPlanner.Entities
{
	using System;

	/// <summary>
	/// Represents specific availability.
	/// </summary>
	public class SpecificAvailability
	{
		#region Fields
		private DateTime _date;
		private float _availability;
		#endregion

		#region Properties
		/// <summary>
		/// Gets or sets the date.
		/// </summary>
		/// <value>The date of the availabiltiy.</value>
		public DateTime Date
		{
			get
			{
				return _date;
			}

			set
			{
				_date = value;
			}
		}

		/// <summary>
		/// Gets or sets the availability.
		/// </summary>
		/// <value>The availability.</value>
		public float Availability
		{
			get
			{
				return _availability;
			}

			set
			{
				_availability = value;
			}
		}
		#endregion
	}
}
