﻿namespace TaskPlanner
{
	using System.Windows;
	using TaskPlanner.BusinessLogic.Interfaces;

	/// <summary>
	/// Interaction logic for MainWindow.xaml.
	/// </summary>
	public partial class MainWindow : Window
	{
		#region Constructors
		/// <summary>
		/// Initializes a new instance of the <see cref="MainWindow"/> class.
		/// </summary>
		/// <param name="databaseManger">The database manger.</param>
		public MainWindow(IDatabaseManager databaseManger)
		{
			InitializeComponent();
			databaseManger.EnsureDatabaseHasLatestSchema();
		}
		#endregion
	}
}
