﻿namespace TaskPlanner.ViewModels
{
	/// <summary>
	/// Represents a usual availability for the week.
	/// </summary>
	public class UsualAvailabilityViewModel : ViewModelBase
	{
		#region Fields
		private DailyAvailabilityViewModel _firstDayOfWeek;
		private DailyAvailabilityViewModel _secondDayOfWeek;
		private DailyAvailabilityViewModel _thirdDayOfWeek;
		private DailyAvailabilityViewModel _fourthDayOfWeek;
		private DailyAvailabilityViewModel _fifthDayOfWeek;
		private DailyAvailabilityViewModel _sixthDayOfWeek;
		private DailyAvailabilityViewModel _seventDayOfWeek;
		#endregion

		#region Properties
		/// <summary>
		/// Gets or sets the availability for the first day of the week.
		/// </summary>
		/// <value>The availability for the first day of the week.</value>
		public DailyAvailabilityViewModel FirstDayOfWeek
		{
			get
			{
				return _firstDayOfWeek;
			}

			set
			{
				_firstDayOfWeek = value;
			}
		}

		/// <summary>
		/// Gets or sets the availability for the second day of the week.
		/// </summary>
		/// <value>The availability for the first day of the week.</value>
		public DailyAvailabilityViewModel SecondDayOfWeek
		{
			get
			{
				return _secondDayOfWeek;
			}

			set
			{
				_secondDayOfWeek = value;
			}
		}

		/// <summary>
		/// Gets or sets the availability for the third day of the week.
		/// </summary>
		/// <value>The availability for the third day of the week.</value>
		public DailyAvailabilityViewModel ThirdDayOfWeek
		{
			get
			{
				return _thirdDayOfWeek;
			}

			set
			{
				_thirdDayOfWeek = value;
			}
		}

		/// <summary>
		/// Gets or sets the availability for the fourth day of the week.
		/// </summary>
		/// <value>The availability for the fourth day of the week.</value>
		public DailyAvailabilityViewModel FourthDayOfWeek
		{
			get
			{
				return _fourthDayOfWeek;
			}

			set
			{
				_fourthDayOfWeek = value;
			}
		}

		/// <summary>
		/// Gets or sets the availability for the fifth day of the week.
		/// </summary>
		/// <value>The availability for the fifth day of the week.</value>
		public DailyAvailabilityViewModel FifthDayOfWeek
		{
			get
			{
				return _fifthDayOfWeek;
			}

			set
			{
				_fifthDayOfWeek = value;
			}
		}

		/// <summary>
		/// Gets or sets the availability for the sixth day of the week.
		/// </summary>
		/// <value>The availability for the sixth day of the week.</value>
		public DailyAvailabilityViewModel SixthDayOfWeek
		{
			get
			{
				return _sixthDayOfWeek;
			}

			set
			{
				_sixthDayOfWeek = value;
			}
		}

		/// <summary>
		/// Gets or sets the availability for the seventh day of the week.
		/// </summary>
		/// <value>The availability for the seventh day of the week.</value>
		public DailyAvailabilityViewModel SeventhDayOfWeek
		{
			get
			{
				return _seventDayOfWeek;
			}

			set
			{
				_seventDayOfWeek = value;
			}
		}
		#endregion
	}
}
