﻿using System.Diagnostics.CodeAnalysis;
[assembly: SuppressMessage("Microsoft.Design", "CA2210:AssembliesShouldHaveValidStrongNames")]
[assembly: SuppressMessage("Microsoft.Design", "CA1024:UsePropertiesWhereAppropriate", Scope = "member", Target = "TaskPlanner.BusinessLogic.Interfaces.ITaskManager.#GetAllTasks()", Justification = "This method behaves like method, not like field. It is performing time consuming database operation.")]
[assembly: SuppressMessage("Microsoft.Design", "CA1024:UsePropertiesWhereAppropriate", Scope = "member", Target = "TaskPlanner.BusinessLogic.Interfaces.ICategoryManager.#GetAllCategories()", Justification = "This method behaves like method, not like field. It is performing time consuming database operation.")]
[assembly: SuppressMessage("Microsoft.Design", "CA1024:UsePropertiesWhereAppropriate", Scope = "member", Target = "TaskPlanner.BusinessLogic.Interfaces.IAvailabilityManager.#GetUsualAvailabilities()", Justification = "This method behaves like method, not like field. It is performing time consuming database operation.")]
[assembly: SuppressMessage("Microsoft.Design", "CA1024:UsePropertiesWhereAppropriate", Scope = "member", Target = "TaskPlanner.BusinessLogic.Interfaces.IAvailabilityManager.#GetSpecificAvailabilities()", Justification = "This method behaves like method, not like field. It is performing time consuming database operation.")]
[assembly: SuppressMessage("Microsoft.Design", "CA1024:UsePropertiesWhereAppropriate", Scope = "member", Target = "TaskPlanner.BusinessLogic.Interfaces.ITaskManager.#GetTasksTree()", Justification = "This method behaves like method, not like field. It is performing time consuming database operation.")]
[assembly: SuppressMessage("Microsoft.Design", "CA1006:DoNotNestGenericTypesInMemberSignatures", Scope = "member", Target = "TaskPlanner.BusinessLogic.Interfaces.ITaskManager.#GetActiveTasks`1(System.Linq.Expressions.Expression`1<System.Func`2<TaskPlanner.Entities.Task,!!0>>)", Justification = "The nested types are required, since the third party library requires it.")]