﻿namespace TaskPlanner.Entities
{
	/// <summary>
	/// Represents the data object.
	/// </summary>
	/// <typeparam name="T">The type of the ID.</typeparam>
	public class DataObject<T>
	{
		#region Fields
		private T _id;
		#endregion

		#region Properties
		/// <summary>
		/// Gets or sets the ID.
		/// </summary>
		/// <value>The ID of the object.</value>
		public T Id
		{
			get
			{
				return _id;
			}

			set
			{
				_id = value;
			}
		}
		#endregion
	}
}
