﻿namespace TaskPlanner.Entities
{
	/// <summary>
	/// Represents database configuration.
	/// </summary>
	public class DatabaseConfiguration
	{
		#region Fields
		private string _propertyName;
		private string _propertyValue;
		#endregion

		#region Properties
		/// <summary>
		/// Gets or sets the name of the property.
		/// </summary>
		/// <value>The name of the property.</value>
		public string PropertyName
		{
			get
			{
				return _propertyName;
			}

			set
			{
				_propertyName = value;
			}
		}

		/// <summary>
		/// Gets or sets the property value.
		/// </summary>
		/// <value>The property value.</value>
		public string PropertyValue
		{
			get
			{
				return _propertyValue;
			}

			set
			{
				_propertyValue = value;
			}
		}
		#endregion
	}
}
