﻿namespace TaskPlanner.Entities
{
	/// <summary>
	/// Represents a usual availability by days of the week.
	/// </summary>
	public class UsualAvailability
	{
		#region Fields
		private string _dayOfWeek;
		private float _availability;
		#endregion

		#region Properties
		/// <summary>
		/// Gets or sets the day of week.
		/// </summary>
		/// <value>The day of week.</value>
		public string DayOfWeek
		{
			get
			{
				return _dayOfWeek;
			}

			set
			{
				_dayOfWeek = value;
			}
		}

		/// <summary>
		/// Gets or sets the availability.
		/// </summary>
		/// <value>The availability.</value>
		public float Availability
		{
			get
			{
				return _availability;
			}

			set
			{
				_availability = value;
			}
		}
		#endregion
	}
}
