﻿namespace TaskPlanner.Repository.Interfaces
{
	using System.Collections.ObjectModel;

	/// <summary>
	/// Represents interface for categroy repositories.
	/// </summary>
	public interface ICategoryRepository
	{
		#region Methods
		/// <summary>
		/// Gets all categories.
		/// </summary>
		/// <returns>All categories in database.</returns>
		Collection<string> GetAllCategories();
		#endregion
	}
}
